
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>学习笔记DL003:神经网络第二、三次浪潮，数据量、模型规模，精度、复杂度，对现实世界冲击 / iVAN</title>

    <meta name="description" content="学习笔记DL003:神经网络第二、三次浪潮，数据量、模型规模，精度、复杂度，对现实世界冲击 神经科学,依靠单一深度学习算法解决不同任务.视觉信号传送到听觉区域,大脑听学习处理区域学会&quot;看&quot;(Von Melchner et al., 2000).计算单元互相作用变智能.新认知机(Fukushima,1980),哺乳动物视觉系统结构,处理图片强大模型架构,现代卷积网络基础(LeCun et al., 1998c).神经网络基于整流线性单元(rectified linear unit)神经单元模型.原始认知机(Fukushima,1975)更复杂.简化现代版,Nair a ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">学习笔记DL003:神经网络第二、三次浪潮，数据量、模型规模，精度、复杂度，对现实世界冲击</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>神经科学，依靠单一深度学习算法解决不同任务。视觉信号传送到听觉区域，大脑听学习处理区域学会“看”(Von Melchner et al., 2000)。计算单元互相作用变智能。新认知机(Fukushima,1980)，哺乳动物视觉系统结构，处理图片强大模型架构，现代卷积网络基础(LeCun et al., 1998c)。神经网络基于整流线性单元(rectified linear unit)神经单元模型。原始认知机(Fukushima,1975)更复杂。简化现代版，Nair and Hinton(2010b)和Glorot et al.(2011a) 神经科学，Jarrett et al.(2009a) 面向工程。真实神经元计算与现代整流线性单元不同函数，没有提升性能。对神经科学生物学习没有足够了解，不能为训练架构学习算法提供借鉴。现代深度学习从应用数学基本内容(线性代数、概率论、信息论、数值优化)获取灵感。计算神经科学，大脑在算法层面工作，独立于深度学习。深度学习领域关注构建计算机系统，解决智能解决任务。计算机器神经科学关注构建大脑真实工作、精确模型。</p>
<p>20世纪80年代，神经网络第二次浪潮。联结主义(connectionism)或并行分布处理(parallel distributed procession)(Rumelhart et al., 1986d;McClelland et al., 1995)。认知科学，理解思维跨学科途径，融合不多个不同分析层次。符号模型难解释大脑用神经元实现推理功能。基于神经系统实现认知模型(Touretzky and Minton, 1985)。心理学家Donald Hebb，20世界40年代工作(Hebb, 1949)。联结主义，网络将大量简单计算单元连接在一起实现智能行为。同样适用于生物神经系统神经元。</p>
<p>分布式表示(distributed representation)(Hinton et al., 1986)。系统每一个输入由多个特征表示，每一个特征参与到多个输入表示。反向传播，训练具有内部表示深度神经网络，反向传播算法普及(Remelhart et al., 1986c;LeCun,1987)。训练深度模型主导方法。</p>
<p>20世纪90年代，Hochreiter(1991b)和Bengion et al.(1994b)，长序列建模。Hochreiter和Schmidhuber(1997)引入长短期记忆(logn short term memory, LSTM)网络。LSTM 序列建模任务广泛应用，Google 自然语言处理任务。</p>
<p>第二次浪潮持续到20世纪90年代中期，机器学习其他领域，核方法(Boser et al., 1992;  Cortes and Vapnik, 1995; Scholkopf et al., 1999)，图模型(Jordan, 1998)在重要任务效果很好。神经网络热潮第二次衰退，一直持续到2007年。(LeCUN et al., 1998c; Bengio et al., 2001a)。加拿大高级研究所(CIFAR)，神经计算和自适应感知(NCAP)研究计划，联合Geoffrey Hinton、Yoshua Bengio、Yann LeCun领导多伦多大学、蒙特利尔大学、纽约大学机器学习研究小组。包括神经科学家、人类和计算视觉专家。20世纪80年代处法能工作得非常好，只是计算代价太高，当时可用硬件难进行足够实验。</p>
<p>神经网络第三次浪潮，始于2006年突破。Geoffrey Hinton表明，深度信念网络神经网络，用贪婪逐层训练策略可有效训练(Hinton et al., 2006a)。同样策略可训练其他类型深度网络(Bengio and LeCun, 2007a; Ranzato et al., 2007b)，系统提高测试样例泛化能力。普通深度学习术语。强调训练比较深神经网络，深度理论重要性(Bengio and LeCun,2007b; Delalleau and Bengio, 2011; Pascanu et al., 2014a; Montufar et al., 2014)。深度神经网络优地其他机器学习技术及手工设计功能AI系统。第三次浪潮现在已开始着眼无监督学习技术、深度模型小数据集泛化能力。更多兴趣点极是监督学习算法、深度模型充分利用大型标注数据集能力。</p>
<p>与日俱增数据量。训练数据增加，所需技巧减少。复杂任务达到人类水平学习算法，与20世纪80年代解决玩具问题(toy problem)一样。简化极深架构训练。成功训练所需资源。</p>
<p>20世纪初，统计学家用数百或数千手动制作度量研究数据集(Garson,1900; Gosset,1908; Anderson, 1935; Fisher,1936)。20世纪50年代到80年代，受生物启发机器学习开拓者用小合成数据集，如低分辨率字母位图，低计算成本下表明神经网络学习特定功能(Widrow and Hoff,1960; Rumelhart et al., 1986b)。20世纪80年代和90年代，机器学习变得更偏统计，用成千上万个样本更大数据集，如手写扫描数字MNIST数据集(LeCun et al., 1998c)。21世纪第一个10年，CIFAR-10数据集(Krizhevsky and Hinton,2009)。2011-2015，数万到数千万样例数据集，完全改变深度学习可能实现。公共Street View House Numbers数据集(Netzer et al., 2011)。各种版本ImageNet数据集(Deng et al., 2009,2010a; Russakovsky et al., 2014a)。Sprots-1M数据集(Karpathy et al., 2014)。翻译句子数据集，Canadian Hansard IBM数据集(Brown et al., 1990)。WMT 2014英法数据集(Schwentk,2014)。</p>
<p>社会日益数字化驱动数据集大小增加。活动在计算机，记录，联网，集中管理，整理机器学习数据集。监督ipwya学习算法，每类5000个标注样本，可达到接受性能。1000万个标注样本数据集训练，达到或超过人类表现。更小数据集，无监督或半监督学习未标注样本。</p>
<p>MNIST数据集。“NIST”，国家标准和技术研究所(National Institute of Standards and Technology)。“M”，修改(Modified)，更容易与机器学习算法一起用，数据预处理。MNIST数据集，手写数字扫描、标签(每个图像包含0~9数字)。深度学习最简单最广泛测试。Geoffrey Hinton，机器学习果蝇。在受控实验室条件研究算法。</p>
<p>与日俱增模型规模(每个神经元连接数)。现在拥有计算资源可运行更大模型。联结主义，动物很多神经元一起工作变聪明。最初，人工神经网络神经元连接数受限硬件能力，现在主要是出于设计考虑。</p>
<p>神经元总数目，神经网络惊人的小。隐藏单元引入，人工神经网络规模每2.4年扩大一倍。更大内存、更快计算机机、更大可用数据集驱动。更大网络在更复杂任务实现更高精度。至少21世纪50年代，人工神经网络才具备人脑相同数量级神经元。生物神经元表示功能比目前人工神经元表示更复杂。</p>
<p>感知机(Rosenblatt,1958,1962)。自适应线性单元(Widrow and Hoff,1960)。神经认知机(Fukushima，1980)。早期后向传播网络(Rumelhart et al., 1986b)。用于语音识别循环神经网络(Robinson and Fallside,1991)。用于语音识别多层感知机(Bengio et al., 1991)。均匀场sigmoid信念网络(Saul et al., 1996)。LeNet5 (LeCun et al., 1998c)。回声壮态网络(Jaeger and Haas,2004)。深度信念网络(Hinton et al., 2006a)。GPU加速卷积网络(Chellapilla et al., 2006)。深度玻尔兹曼机(Salakhutdinov and Hinton,2009a)。GPU加速深度信念网络(Raina et al., 2009a)。无监督卷积网络(Jarrett et al., 2009b)。GPU加速多层感知机(Ciresan et al., 2010)。OMP-1网络(Coates and Ng,2011)。分布式自编码器(Le et al., 2012)。Multi-GPU卷积网络(Krizhevsky et al., 2012a)。COTS HPC 无监督卷积网络(Coates et al., 2013)。GoogleNet(Szegedy et al., 2014a)。</p>
<p>与日俱增精度、复杂度，对现实世界冲击。最早深度模型，识别裁剪紧凑且非常小图像单个对象(Rumelhart et al., 1986d)。神经网络处理图像尺寸逐渐增加。现代对象识别网络处理丰富高分辨率照片，不需要被识别对象附近裁剪(Krizhevsky et al., 2012b)。现代网络能识别到少1000个不同类别对象。ImageNet大型视觉识别挑战(ILSVRC)，每年举行。卷积网络第一次大幅赢得挑战，前5错误率从26.1%降到15.3%(Krizhevsky et al.,2012b)。网络针对每个图像可能类别生成顺序列表，除15.3%测试样本，其他测试样本正确类标出现在列表前5项。深度卷积网络连续赢得比赛，深度学习前5错误率降到3.6%。Russakovsky et al.(2014b)和He et al.(2015)。</p>
<p>语音识别，20世纪90年代后，直到2000年停滞不前。深度学习引入(Dahl et al., 2010; Deng et al., 2010b; Seide et al., 2011; Hinton et al., 2012a)，语音识别错误率下降。</p>
<p>深度网络行人检测、图像分割得到成功(Sermanet et al., 2013; Farabet et al., 2013; Couprie et al., 2013)，交通标志分类取得超越人类表现(Ciresan et al., 2012)。</p>
<p>Goodfellow et al.(2014d)，神经网络学习输出描述图像整个符序列。此前，学习需要对序列每个元素标注(Gulcehre and Bengio,2013)。循环神经网络，LSTM序列模型，对序列和其他序列关系建模。序列到序列学习引领机器翻译颠覆性发展(Sutskever et al., 2014; Bahdanau et al., 2015)。</p>
<p>逻辑结论，神经图灵机(Graves et al., 2014)引入，学习读取存储单元和向存储单元写入任意内容。从期望行为样本学习简单程序。从杂乱和排好序样本学习对一系列数排序。自我编程技术起步阶段，原则上未来可适用几科所有任务。</p>
<p>强化学习(reinforcement learning)。自主智能体，没有人类操作者指导，试错学习执行任务。DeepMind表明，深度学习强化学习系统学会玩Atari视频游戏，在多种任务可与人类匹配(Mnih et al., 2015)。深度学习显著改善机器人强化学习性能(Finn et al., 2015)。</p>
<p>深度学习应用高利润，顶级技术公司：Googel、Microsoft、Facebook、IBM、Baidu、Apple、Adobe、Netflix、NVIDIA、NEC。</p>
<p>深度学习进步依赖软件基础架构进展。软件库，Theano(Bergstra et al., 2010a; Bastien et al., 2012a)、PyLearn2(Goodfellow et al., 2013e)、Torch(Collobert et al., 2011b)、DistBelief(Dean et al., 2012)、Caffe(Jia,2013)、MXNet(Chen et al., 2015)、TensorFlow(Abadi et al., 2015)。支持重要研究项目或商业产品。</p>
<p>对象识别现代卷积网络为神经科学家提供视觉处理模型(DiCarlo, 2013)。处理海量数据、科学领域有效预测工具，成功预测分子相互作用，帮助制药公司设计新药物(Dahl et al., 2014)。搜索亚原子粒子(Baldi et al., 2014)。自动解析构建人脑三维图显微镜图像(Knowles-Braley et al., 2014)。</p>
<p>深度学习是机器学习的一种方法。</p>
<p>参考资料：<br />
《深度学习》</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 15:38:55</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e6%b7%b1%e5%ba%a6%e5%ad%a6%e4%b9%a0/" title="深度学习">深度学习</a>, <a href="https://www.iamivan.net/tag/%e6%9c%ba%e5%99%a8%e5%ad%a6%e4%b9%a0/" title="机器学习">机器学习</a>, <a href="https://www.iamivan.net/tag/%e7%a5%9e%e7%bb%8f%e7%bd%91%e7%bb%9c/" title="神经网络">神经网络</a>, <a href="https://www.iamivan.net/tag/%e5%ba%8f%e5%88%97/" title="序列">序列</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e9%9f%b3%e8%af%86%e5%88%ab/" title="语音识别">语音识别</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>学习笔记DL003:神经网络第二、三次浪潮，数据量、模型规模，精度、复杂度，对现实世界冲击的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLLBkb.html" rel="bookmark">WPF and Silverlight学习笔记（十一）：WPF控件内容模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WPF控件内容模型主要指派生于System.Windows.Controls.Control类的各种 控件,其主要分为四部分: ContentControl HeaderedContendControl ItemsControl&lt; /p&gt; HeaderedItemsControl 其继承关系请参考我上一篇博客的内容. 这四个类用作为 WPF 中大多数控件的基类.使用这些内容模型的类可以 包含相同类型的内容,并以相同的方式处理该内容:可以放置在某个 ContentControl(或从 Conte			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AAJnp.html" rel="bookmark">ExtJs学习笔记&lpar;22&rpar;-XTemplate &plus; WCF 打造无刷新数据分页</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ExtJs的Grid组件虽然不管从哪一方面来讲,都称得上是很好很强大,但是总会有一些应用场景并不需要这么多功能,比如网站的留言列表,开发者只想要一个简单的&lt;li&gt;或&lt;table&gt;列表而已,这时候XTemplate就显得很有用了. 本文将讲解如何用XTemplate结合WCF与服务端交互,生成数据列表,同时加上无刷新分页功能(默认情况下ExtJs并没有为XTemplate并没有提供分页功能) 1.先做一些准备工作,写一个通用的类(改编自老张的PageData),用于WCF向ExtJs			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKKl1M.html" rel="bookmark">ExtJs学习笔记&lpar;21&rpar;-使用XTemplate结合WCF显示数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				个人认为,XTemplate是ExtJs中最灵活的用来显示数据的组件,有点类似aspx中的Repeater控件,显示数据的模板完全可以由用户以html方式来定制. 先给一个官方的静态示例(稍微改了下),代码并不复杂,关键的地方,我已经注释了 1 &lt;script type=&quot;text/javascript&quot;&gt; 2 Ext.onReady(function() { 3 4 var data = { 5 name: 'Jack Slocum', 6 title: 'Lead De			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M16RPdp.html" rel="bookmark">linux多线程学习笔记六--一次性初始化和线程私有数据【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/kkxgx/article/details/7513278 版权声明:本文为博主原创文章,未经博主允许不得转载. 一,一次性初始化 以保证线程在调用资源时,确保资源已经被初始化,并且只初始化一次. 在传统的顺序编程中,一次性初始化经常通过使用布尔变量来管理.控制变量被静态初始化为0,而任何依赖于初始化的代码都能测试该变量.如果变量值仍然为0,则它能实行初始化,然后将变量置为1.以后检查的代码将跳过初始化. 但是在多线程程序设计中,事情就变的复杂的多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW75QeM.html" rel="bookmark">jquery ajax学习笔记2 使用XMLHttpRequest对象的responseXML&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:本节补充ajax学习笔记1中 第二种方式:使用XMLHttpRequest对象的responseXML的方式来接受XML数据对象的DOM对象 在ajax学习笔记1中已经对准备工作和需要用到的知识做了比较详细的介绍,本节主要介绍需要修改的代码以及新增的代码 .新增一个servlet类 AJAXXMLServer.java 复制代码 代码如下: import javax.servlet.http.HttpServlet; import javax.servlet.http.HttpServle			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK772db.html" rel="bookmark">WPF &plus; Silverlight学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WPF and Silverlight学习笔记(三十):Brush(2) WPF and Silverlight学习笔记(二十九):Brush(1) WPF and Silverlight学习笔记(二十八):基本图形的使用(3)图 WPF and Silverlight学习笔记(二十七):基本图形的使用(2)Pa WPF and Silverlight学习笔记(二十六):基本图形使用(1) WPF and Silverlight学习笔记(二十五) WPF and Silverlight学习笔记(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9MxnkPz.html" rel="bookmark">ExtJs学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ExtJS学习笔记 - onReady Extjs学习笔记 - 实战 Extjs学习笔记 - 初篇 ExtJs学习笔记(24)-Drag/Drop拖动功能 ExtJs学习笔记(23)-ScriptTagProxy+XTemplate+WCF跨域取数据 ExtJs学习笔记(22)-XTemplate + WCF 打造无刷新数据分页 ExtJs学习笔记(21)-使用XTemplate结合WCF显示数据 ExtJs学习笔记(20)-利用ExtJs的Ajax与服务端WCF交互 ExtJs学习笔记(19)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPPAGz.html" rel="bookmark">WPF and Silverlight学习笔记（十二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WPF and Silverlight学习笔记(十二):WPF Panel内容模型.Decorator内容模型及其他 一.Panel内容模型 Panel内容模型指从 System.Windows.Controls.Panel继承的控件,这些控件都是容器,可以在内部 承载其他的控件和子容器.Panel内容模型包含的容器有: Canvas DockPanel Grid TabPanel ToolBarO verflowPanel UniformGrid StackPanel ToolBarPanel			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKq3onp.html" rel="bookmark">JavaScript高级程序设计（第三版）学习笔记6、7章&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第6章面向对象的程序设计 对象 1.数据属性 configurable表示能否通过delete删除属性从而重新定义属性能否修改属性的特性或能否把属性修改为访问器属性默认为true enumerbale表示能否通过for-in访问属性默认true writable表示能否修改属性值默认true value数据存储位置默认undefined 修改默认属性特性Object.defineProperty()接收三个参数属性所在对象属性名描述符对象描述符对象属性必须是configurable.enumer			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmEDDp.html" rel="bookmark" class="title">优秀的404错误页设计参考</a>
					<div>
						每当用户试图打开一个网站的网页时,如果这个页面不存在或者错误,设计师们会用一个特定的网页来修饰HTTP服务器的错误,这就是所谓的404错误页面.404页面的布局样式有多种,以下收集是较为创意的404页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgL8Ep.html" rel="bookmark" class="title">Javascript&plus;DOM访问XML文件数据实例</a>
					<div>
						dom|javascript|xml|访问|数据 1.生成XML文件. 在ADO里,用Recordset.Save方法可以保存查询内容至指定XML文件,这样生成的文件里面有很多内容是关于数据表的属性的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBlnkp.html" rel="bookmark" class="title">电子商务网站如何融资？</a>
					<div>
						电子商务 对资金短缺的电子商务网站来说,证券市场融资.风险投资.银行贷款三种融资方式,哪个更适合自己呢? 文/叶晶 随着互联网的飞速发展,电子商务网站如雨后春笋般蓬勃而生,但发展一段时间后,都不约而同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3enwp.html" rel="bookmark" class="title">字母全排列快速算法C代码</a>
					<div>
						全排列,比如字母ABC,所有排列有A ,AB,AC,ABC,ACB,B,BA,BC,BAC,BCA,C,CA,CB,CAB,CBA. //原理是插入, 在一个字符串的所有位置插入新字符.//如: AB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ywrvz.html" rel="bookmark" class="title">实现和IE浏览器交互的方法介绍</a>
					<div>
						1．引言 如何实现对IE浏览器中对象的操作是一个很有实际意义问题,通过和IE绑定的DLL我们可以记录IE浏览过的网页的顺序,分析用户的使用行为和模式.我们可以对网页的内容进行过滤和翻译,可以自动填写网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wJlYp.html" rel="bookmark" class="title">Delphi自定义消息应用例子</a>
					<div>
						现在很多的应用程序都有这样一种功能,当用户选择最小化窗口时,窗口不是象平常那样最小化到任务栏上,而是&quot;最小化&quot;成一个任务栏图标.象FoxMail 3.0 NetVampire 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKyoNp.html" rel="bookmark" class="title">教你怎么样快速去查看Word版本</a>
					<div>
						问:教你怎么样快速去查看Word版本? 答:单击&quot;文件&quot;菜单中的&quot;版本&quot;命令. Microsoft Word可以显示每个版本的保存日期和时间,每个版本保存人的姓 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7220rp.html" rel="bookmark" class="title">设计是让用户觉得好用，而不是好看</a>
					<div>
						工程师最常犯的毛病,就是觉得&quot;设计&quot;不干他们的事.&quot;我只负责把功能写出来,UI就交给美术了.&quot;他们常常这样说.问题是,一个好UI,根本不只是美术这么简单,它必须 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e9QJb.html" rel="bookmark" class="title">Win8&period;1系统&amp;quot&semi;安全启动未正确配置&amp;quot&semi;的解决办法</a>
					<div>
						搜罗了有关Win8.1系统出现的安全启动未正确配置问题的解决方法,大家可以现试着使用这个方法解决问题,直到微软发布了官方的补丁. 1.首先,去开始屏幕输入gpedit.msc启动电脑管理屏幕(确保您拥 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm5v6z.html" rel="bookmark" class="title">win7系统怎么删除环境变量？</a>
					<div>
						  1.在桌面右击&quot;这台电脑&quot;,选择&quot;属性&quot;; 2.在打开的&quot;系统&quot;窗口左侧,点击&quot;高级系统设置&quot;; 3.在打开的&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRWGxp.html" rel="bookmark" class="title">运维小技巧：使用ss命令代替 netstat&comma;和netstat说再见</a>
					<div>
						ss是Socket Statistics的缩写. 顾名思义,ss命令可以用来获取socket统计信息,它可以显示和netstat类似的内容.但ss的优势在于它能够显示更多更详细的有关TCP和连接状态的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBBllb.html" rel="bookmark" class="title">JVM必备指南（转）</a>
					<div>
						本文由 ImportNew - xiafei 翻译自 anturis.欢迎加入翻译小组.转载请见文末要求. 简介 Java虚拟机(JVM)是Java应用的运行环境,从一般意义上来讲,JVM是通过规范来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7a0Np.html" rel="bookmark" class="title">ndroid-自定义dialog的值返回给调用页</a>
					<div>
						问题描述 自定义dialog的值返回给调用页 自定义dialog中的listview点击后 怎么把listview点击获取的值传给dialog的调用页??? 解决方案 builder.setPosit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RwRBb.html" rel="bookmark" class="title">深入解析String&num;intern</a>
					<div>
						[本文转自深入解析String#intern] 引言 在 JAVA 语言中有8中基本类型和一种比较特殊的类型String.这些类型为了使他们在运行过程中速度更快,更节省内存,都提供了一种常量池的概念. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd978b.html" rel="bookmark" class="title">python 编辑器  pycharm</a>
					<div>
						使用好几种编辑器之后,最后还是选择pycharm作为编辑器,windows,linux都支持 作为PyCharm编辑器的起步,我们理所当然的先写一个Hello word,并运行它.(此文献给对IDE不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRjg1b.html" rel="bookmark" class="title">苹果加速&OpenCurlyDoubleQuote;去富士康&rdquo;化</a>
					<div>
						摘要: [ 这一次新增的两家代工厂商都具备较强的实力,且已基本通过了的审核,问题应该不大.未来同时生产iPhone与iPad的可能性不低. ] 苹果正在加速去富士康化 近日,外媒报道称,为提高 [ & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE4GlM.html" rel="bookmark" class="title">请问连接数据库时，如何做到：我把各种数据库放进项目里，程序自己会找到此类数据库    DataSource及database的写法</a>
					<div>
						问题描述 [WebMethod]publicDataSetSQLDB(stringQuery){SqlConnectionCS=newSqlConnection(&quot;server=CHINA- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAAA1b.html" rel="bookmark" class="title">新浪微博第三方应用Weico与搜狗展开跨界合作</a>
					<div>
						2月27日消息,作为国内最具人气的新浪微博第三方应用Weico上周与市场占有率第一的搜狗输入法展开跨界合作.Weico独家嵌入搜狗输入法1.8.5 版本上线!无需越狱也可以使用搜狗手机输入法. 用户只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgo90M.html" rel="bookmark" class="title">android-安卓checkbox的背景设置</a>
					<div>
						问题描述 安卓checkbox的背景设置 为什么checkbox的背景设置为白色图片了,但是还是显示有方框,我想把方框去掉怎么去,我的代码如下: &lt;?xml version=&quot;1.0& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXLPZb.html" rel="bookmark" class="title">hibernate 的三种sql语言</a>
					<div>
						(1)save(),  get(), load(),  update()       增删改查 (2) hql   Query query=session.createQuery(&quot;from ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq4EOb.html" rel="bookmark" class="title">计算机新增病毒五年翻400倍 正规软件也暗藏&OpenCurlyDoubleQuote;小动作&rdquo;&quest;</a>
					<div>
						杀毒软件行业&quot;混战&quot;追踪 自5月21日金山与奇虎360正式开战以来,杀毒软件行业的硝烟至今依然四处弥漫.近日,奇虎董事长周鸿祎爆料:目前很多正规软件也用一些灰色的手段,给用户电脑带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60DoJz.html" rel="bookmark" class="title">java从字符串中提取数字的简单实例&lowbar;java</a>
					<div>
						随便给你一个含有数字的字符串,比如: String s=&quot;eert343dfg56756dtry66fggg89dfgf&quot;; 那我们如何把其中的数字提取出来呢?大致有以下几种方法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn1G0M.html" rel="bookmark" class="title">IOS 教程：自定义链接下载应用并直接安装ipa-itms-services</a>
					<div>
						想不经过App Store直接下载游戏吗?下载完不知道怎么安装?需要通过第三方软件来安装?下面奥特曼超人来带你进入新版的安装教程: 搭建一个HTTPS服务,可以使用HTTPD或者Tomcat构建 使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnNXrM.html" rel="bookmark" class="title">TCPDF 5&period;9&period;120发布 生成PDF文件的PHP类</a>
					<div>
						TCPDF 5.9.120发布了!该版本修正了字体子集的一个bug. TCPDF是一个无需外部扩展下快速生成PDF文件的PHP类.TCPDF支持所有ISO页面格式和自定义页面格式,还包含自定义边距和度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKwq4M.html" rel="bookmark" class="title">《Oracle数据库性能优化方法论和最佳实践》&mdash;&mdash;1&period;3　吞吐量和响应时间</a>
					<div>
						1.3 吞吐量和响应时间 吞吐量和响应时间是衡量Oracle业务系统的基本指标,也是业务系统性能的终极指标.如何选择恰当的指标单元来描述吞吐量和响应时间,并且熟练运用吞吐量和响应时间之间的关系是性能优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq8oLp.html" rel="bookmark" class="title">sqlserver中delete、update中使用表别名和oracle的区别&lowbar;MsSql</a>
					<div>
						昨天发现程序中数据分析的结果不对,重新进行分析后,原数据仍在,有值的字段被累计.心说,不对啊,是重新生成记录后才分析的啊.难道忘了DELETE了?查代码,发现有删除语句.于是在查询分析器中执行,报错. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmOJNp.html" rel="bookmark" class="title">详解Android中Notification通知提醒&lowbar;Android</a>
					<div>
						在消息通知时,我们经常用到两个组件Toast和Notification.特别是重要的和需要长时间显示的信息,用Notification就最 合适不过了.当有消息通知时,状态栏会显示通知的图标和文字,通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWqmJz.html" rel="bookmark" class="title">jQuery实现的立体文字渐变效果&lowbar;jquery</a>
					<div>
						先截两个图看看: 效果很不错吧?会不会误以为这些字体是图片?这可不是图片,而是用JS实现的 在线演示 http://demo.jb51.net/js/gradient-test/demo.htm 下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqAjLp.html" rel="bookmark" class="title">国家云计算标准年内将出台 两项课题已确定</a>
					<div>
						在近期举行的云计算研讨会上,据http://www.aliyun.com/zixun/aggregation/32834.html&quot;&gt;业内人士透露,云计算标准化政策有望在年内率先出台. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen6EVb.html" rel="bookmark" class="title">Todd&period;log - a place to keep my thoughts on programming TF-IDF模型的概率解释</a>
					<div>
						转自:http://www.cnblogs.com/weidagang2046/archive/2012/10/22/tf-idf-from-probabilistic-view.html 信息检索概 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
